Page MenuHomePhabricator

Support Javascript-based tools on Wikimedia Commons in the transition to structured data
Closed, DeclinedPublic

Description

Javascript-based tools on Wikimedia Commons might need extra attention with the transition to structured data. There are only a few Javascript developers on Commons, and there is quite a backlog.

Some possible steps (feel free to edit this task):

  • Identify which tools we are dealing with. What is the tool, what does it do, who are its most active maintainers?
  • Examine each tool individually: it might be made obsolete entirely because of the arrival of structured data, it might need immediate or less immediate updates, or even a rewrite...
  • Decide, together, on the best way to make the transition process go as smooth as possible. If it takes more effort then can be handled by the current maintainers: maybe this can be addressed in a hackathon, maybe we can attract other developers to help out...
  • Make the transitions happen.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptOct 13 2017, 5:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

VisualFileChange

  • Batch editing
  • Maintainers: ...
Legoktm added a subscriber: Legoktm.

Removing Gadgets since the project is about the Gadgets infrastructure, not individual Gadgets themselves.

Qgil triaged this task as Low priority.Oct 16 2017, 7:28 AM
Qgil added a subscriber: Qgil.

(Assuming low priority)

SandraF_WMF raised the priority of this task from Low to Normal.Oct 18 2017, 11:05 AM

I'd say it's normal priority. Will probably not be solved in one quarter though.

RP88 added a subscriber: RP88.Oct 25 2017, 1:17 PM
Jarekt added a subscriber: Jarekt.Oct 25 2017, 3:33 PM

I think we need a designated page with a table where people can add their favorite gadgets, and where we can discus potential impact of Structured Data on them.

I think we need a designated page with a table where people can add their favorite gadgets, and where we can discus potential impact of Structured Data on them.

Yes, I also thought in that direction. I can make a start for that in the upcoming weeks.

And a growing list of tracked tools on wiki: https://commons.wikimedia.org/wiki/Commons:Structured_data/Get_involved/Tools Input on how to improve this process is very welcome!

Elitre added a subscriber: Elitre.Dec 6 2017, 12:19 PM

A reminder that this is on the "Ready to Go" column: maybe you can already evaluate whether it's something for next quarter instead (as a minimum, to this month's column if you're working on it?). Thank you!

This comment was removed by Elitre.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:05 PM
SandraF_WMF reassigned this task from SandraF_WMF to Keegan.Feb 1 2018, 11:26 AM

Transferring this task to @Keegan, per T186197: Transition Community Liaison tasks to Keegan. I will keep an eye on this and will help where I can!

0x010C added a subscriber: 0x010C.Mar 1 2018, 8:32 AM
Keegan closed this task as Declined.Sep 12 2018, 5:30 PM

This task is too broad in scope to really function. I'll make new tasks for tool work as they come up.

Elitre raised the priority of this task from Normal to High.Sep 20 2018, 1:39 PM
Quiddity lowered the priority of this task from High to Normal.Sep 20 2018, 6:51 PM